Bug 81813 - EDITING: Typing to select value in dropdown resets after space character
Summary: EDITING: Typing to select value in dropdown resets after space character
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:4.5.0 target:4.4.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-27 16:40 UTC by Jill Miller
Modified: 2015-04-03 07:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Open the form and try chosing "haper b" like described in the bug (11.50 KB, application/vnd.sun.xml.base)
2014-08-11 19:48 UTC, robert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jill Miller 2014-07-27 16:40:01 UTC
With a dropdown list containing:

...
Beacon Press
...
Harper Business
Harper Collins
Harper San Francisco
...

Typing 'harper' correctly selects 'Harper Business'. But if you type 'harper b' it jumps to Beacon Press. It appears that search function may not be interpreting the space as a part of the search string.
Comment 1 Ken Biondi 2014-07-27 16:51:29 UTC
Hello Jim,

Is it possible for you to attach a sample document containing the bug?
Comment 2 robert 2014-08-11 19:48:03 UTC
Created attachment 104456 [details]
Open the form and try chosing "haper b" like described in the bug

I can confirm this bug.
Doesn't work in any Version of LO since LO 3.3 beta 1. So I will set the version to inherited from OOo.
If you press Space the searching for the value seems to begin new and jumps to the first value beginning with the character, which follows the Space.
Comment 3 Julien Nabet 2014-08-29 21:05:50 UTC
On pc Debian x86-64 with master sources updated today, indeed space character reinitialize the research. However typing harper gives "Harper San Francisco" in for me (with master sources and 4.3.0.4)
Comment 4 Alex Thurgood 2015-01-03 17:39:10 UTC
Adding self to CC if not already on
Comment 5 Julien Nabet 2015-03-16 22:43:11 UTC
bt:
#0  vcl::QuickSelectionEngine::HandleKeyEvent (this=0x33cad28, _keyEvent=...) at /home/julien/compile-libreoffice/libreoffice/vcl/source/control/quickselectionengine.cxx:115
#1  0x00002aaab19adf11 in ImplListBoxWindow::ProcessKeyInput (this=0x33ca9a8, rKEvt=...) at /home/julien/compile-libreoffice/libreoffice/vcl/source/control/ilstbox.cxx:1607
#2  0x00002aaab1944362 in ImplListBox::ProcessKeyInput (this=0x33ca750, rKEvt=...) at /home/julien/compile-libreoffice/libreoffice/vcl/inc/ilstbox.hxx:436
#3  0x00002aaab19ce4c4 in ListBox::PreNotify (this=0x33c2990, rNEvt=...) at /home/julien/compile-libreoffice/libreoffice/vcl/source/control/lstbox.cxx:929
#4  0x00002aaab181d2bf in vcl::Window::PreNotify (this=0x33c85b0, rNEvt=...) at /home/julien/compile-libreoffice/libreoffice/vcl/source/window/event.cxx:56
#5  0x00002aaab19b286f in ImplWin::PreNotify (this=0x33c85b0, rNEvt=...) at /home/julien/compile-libreoffice/libreoffice/vcl/source/control/ilstbox.cxx:2641
#6  0x00002aaab191c336 in ImplCallPreNotify (rEvt=...) at /home/julien/compile-libreoffice/libreoffice/vcl/source/window/winproc.cxx:60
#7  0x00002aaab191f307 in ImplHandleKey (pWindow=0x30fa520, nSVEvent=KEYINPUT, nKeyCode=514, nCharCode=99, nRepeat=0, bForward=true)
    at /home/julien/compile-libreoffice/libreoffice/vcl/source/window/winproc.cxx:1026

vcl/source/control/ilstbox.cxx
The problem seems here:
   1564         case KEY_SPACE:
   1565         {
   1566             if ( !bMod2 && !IsReadOnly() )
   1567             {
   1568                 if( mbMulti && ( !mbSimpleMode || ( mbSimpleMode && bCtrl && !bShift ) || mbStackMode ) )
   1569                 {
   1570                     nSelect = mnCurrentPos;
   1571                     eLET = LET_KEYSPACE;
   1572                 }
   1573                 bDone = true;
   1574             }
   1575             maQuickSelectionEngine.Reset();
   1576         }
   1577         break;

See http://opengrok.libreoffice.org/xref/core/vcl/source/control/ilstbox.cxx#1564
Comment 6 Commit Notification 2015-03-31 12:42:03 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44c87a5dc921ea6dd28fdc016c61aa62cfd4f4d6

tdf#81813: Typing to select value in dropdown resets after space character

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-04-03 07:30:43 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae0de4ffdb480745b69d2d6413c656db4112d4a7&h=libreoffice-4-4

tdf#81813: Typing to select value in dropdown resets after space character

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2015-04-03 07:35:48 UTC
Since it's not a crash, I don't think it worths it to backport on 4.3 (which is soon EOL).